{
  "apiVersion": 2,
  "name": "gp-entry-blocks/entries-table",
  "parent": [
    "gp-entry-blocks/entries"
  ],
  "title": "Entries Table",
  "category": "design",
  "icon": "editor-table",
  "description": "Display Gravity Forms entries in a table.",
  "keywords": [
    "gravity forms",
    "entries",
    "wiz",
    "perks",
    "table"
  ],
  "version": "1.0.0",
  "textdomain": "gp-entry-blocks",
  "attributes": {
    "formFields": {
      "type": "array"
    },
	"noEntriesFoundMessage": {
      "type": "string",
	  "default": "No entries found."
	}
  },
  "usesContext": [
    "gp-entry-blocks/formId",
    "gp-entry-blocks/mode",
    "gp-entry-blocks/uuid",
    "gp-entry-blocks/filters",
    "gp-entry-blocks/orderBy",
    "gp-entry-blocks/order",
    "gp-entry-blocks/limit"
  ],
  "supports": {
    "html": false,
    "anchor": true,
    "align": true,
    "color": {
      "gradients": true
    },
    "typography": {
      "fontSize": true,
      "lineHeight": true,
      "__experimentalFontStyle": true,
      "__experimentalFontWeight": true,
      "__experimentalLetterSpacing": true,
      "__experimentalTextTransform": true,
      "__experimentalDefaultControls": {
        "fontSize": true
      }
    },
    "__experimentalBorder": {
      "color": true,
      "style": true,
      "width": true
    }
  },
  "styles": [
    {
      "name": "regular",
      "label": "Default",
      "isDefault": true
    },
    { "name": "stripes", "label": "Stripes" }
  ],
  "editorScript": "gp-entry-blocks-block-editor",
  "editorStyle": "gp-entry-blocks-block-editor",
  "style": "gp-entry-blocks-styles"
}
